POSTkaia_getRewards

Retrieves reward distribution for a block by block number. Includes reward recipients and their share. If the parameter is omitted, returns reward distribution for the latest block.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]

Enter the following parameters as an array with the appropriate types. When omitted, returns reward distribution for the latest block.

  1. block number or block tag - Block number or block tag for the block to query.
  • Block number: Integer or hexadecimal string (e.g. "0x1")
  • Block tag: Enum string (e.g. "latest", "earliest", "pending")
params[0]string

Block number represents the order of blocks in the chain. It is expressed as a hexadecimal string.

Responses
mintedstring

Total KAIA newly minted in this block (hex, in peb)

totalFeestring

Total transaction fees in this block (hex, in peb)

burntFeestring

Total fees burned (hex, in peb)

proposerstring

Reward received by the block proposer (hex, in peb)

stakersstring

Total rewards received by staking participants (hex, in peb)

kifstring

Reward received by the Kaia Infrastructure Fund (hex, in peb)

kefstring

Reward received by the Kaia Ecosystem Fund (hex, in peb)

rewardsobject

Map of rewards per beneficiary address (key=address, value=amount in hex)

X-API-KEY
RequestCU110
cURL
curl -X POST "https://kaia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "kaia_getRewards",
  "params": []
}'
Response
Example · 200
{
  "minted": "string",
  "totalFee": "string",
  "burntFee": "string",
  "proposer": "string",
  "stakers": "string",
  "kif": "string",
  "kef": "string",
  "rewards": {}
}